#!/usr/bin/env python3
from .db import db
from sqlalchemy.sql import func
from sqlalchemy.dialects.postgresql import UUID
import uuid
import enum


class AIModelType(enum.Enum):
    SVM = 1
    CNN = 2


class AIModel(db.Model):
    id = db.Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4, unique=True, nullable=False)
    timestamp = db.Column(db.TIMESTAMP, nullable=False, server_default=func.now())

    type = db.Column(db.Enum(AIModelType), nullable=False)

    target_class_name = db.Column(db.String(50), nullable=False)
